Show a workspace
curl --request GET \
--url https://app.govly.com/api/tools/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"name": "<string>",
"status": {
"category": "<string>",
"label": "<string>"
},
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"commentsCount": 123,
"primaryFocus": {
"type": "opportunity",
"id": "<string>"
},
"comments": [
{
"id": "<string>",
"body": "<string>",
"attachments": [
{
"id": "<string>",
"workspaceId": "<string>",
"filename": "<string>",
"commentId": "<string>",
"contentType": "<string>",
"byteSize": 123,
"createdAt": "2023-11-07T05:31:56Z",
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"id": "<string>",
"workspaceId": "<string>",
"filename": "<string>",
"commentId": "<string>",
"contentType": "<string>",
"byteSize": 123,
"createdAt": "2023-11-07T05:31:56Z",
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
]
},
"meta": {
"availableActions": [
{
"name": "<string>",
"description": "<string>",
"arguments": {},
"idPaths": [
"<string>"
]
}
]
}
}Workspaces
Show a workspace
GET
/
api
/
tools
/
v1
/
workspaces
/
{id}
Show a workspace
curl --request GET \
--url https://app.govly.com/api/tools/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"name": "<string>",
"status": {
"category": "<string>",
"label": "<string>"
},
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"commentsCount": 123,
"primaryFocus": {
"type": "opportunity",
"id": "<string>"
},
"comments": [
{
"id": "<string>",
"body": "<string>",
"attachments": [
{
"id": "<string>",
"workspaceId": "<string>",
"filename": "<string>",
"commentId": "<string>",
"contentType": "<string>",
"byteSize": 123,
"createdAt": "2023-11-07T05:31:56Z",
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"id": "<string>",
"workspaceId": "<string>",
"filename": "<string>",
"commentId": "<string>",
"contentType": "<string>",
"byteSize": 123,
"createdAt": "2023-11-07T05:31:56Z",
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
]
},
"meta": {
"availableActions": [
{
"name": "<string>",
"description": "<string>",
"arguments": {},
"idPaths": [
"<string>"
]
}
]
}
}Was this page helpful?
⌘I